Ignora esplorazione

Aggiornamento della sicurezza del motore Moby per Azure IoT Edge per CVE-2020-13401

Data di pubblicazione: 02 giugno, 2020

È stata identificata una vulnerabilità di sicurezza nei componenti del motore Moby in Azure IoT Edge. Le versioni Windows non sono interessate. Ottieni informazioni dettagliate per questo problema: CVE-2020-13401.

Segui questa procedura per risolvere il problema nel motore Moby versione 3.0.12 o successiva:

  1. Arresta il daemon iotedge.
    • sudo systemctl stop iotedge
       
  2. Rimuovi il pacchetto moby-engine esistente.
    • sudo apt-get remove docker
       
  3. Elimina il contesto moby-engine salvato. Verranno rimossi tutti i contenitori memorizzati nella cache.
    • ​​sudo rm -rf /var/lib/docker
       
  4. Segui le istruzioni per installare moby-engine e dopo l'installazione assicurati che la versione sia 3.0.12 o successiva.
    •  sudo docker version
       
  5.  Avvia il daemon iotedge.
    •  sudo systemctl start iotedge

Scarica il pacchetto RPM.

  • Azure IoT Edge
  • Compliance
  • Security

Prodotti correlati